Skip to main content

Experience Domains Actions

https://api.losant.com/applications/APPLICATION_ID/experience/domains

Below are the various requests that can be performed against the Experience Domains resource, as well as the expected parameters and the potential responses.

Get​

Returns the experience domains for an application

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/experience/domains

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.cli, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.cli, all.User.read, experienceDomains.*, or experienceDomains.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/experience/domains

Successful Responses​

CodeTypeDescription
200Experience DomainsCollection of experience domains

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new experience domain for an application

Method And Url​

POST https://api.losant.com/applications/APPLICATION_ID/experience/domains

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, experienceDomains.*, or experienceDomains.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Domain Post schema. For example, the following would be a valid body for this request:

{
"domainName": "my.domain.example.com",
"sslCert": "-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----",
"sslKey": "-----BEGIN PRIVATE KEY-----\nMY_SSL_KEY\n-----END PRIVATE KEY-----",
"version": "develop"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"domainName":"my.domain.example.com","sslCert":"-----BEGIN CERTIFICATE-----\nMY_SSL_CERTIFICATE\n-----END CERTIFICATE-----","sslKey":"-----BEGIN PRIVATE KEY-----\nMY_SSL_KEY\n-----END PRIVATE KEY-----","version":"develop"}' \
https://api.losant.com/applications/APPLICATION_ID/experience/domains

Successful Responses​

CodeTypeDescription
201Experience DomainSuccessfully created experience domain

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 3 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key
          • ▶
            {} 2 keys

        Error Example​

        • ▶
          {} 2 keys
          • "NotFound"
          • "Application was not found"

        Experience Domain​

        Schema for a single Experience Domain

        Experience Domain Schema​

        • ▶
          {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • ▶
            {} 9 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 3 keys
                          • ▶
                            {} 3 keys
                            • ▶
                              {} 3 keys

                          Experience Domain Example​

                          • ▶
                            {} 7 keys
                            • "58c1de6c8f812590d8e82980"
                            • "58c1de6c8f812590d8e82980"
                            • "575ec8687ae143cd83dc4a97"
                            • "2016-06-13T04:00:00.000Z"
                            • "2016-06-13T04:00:00.000Z"
                            • "my.domain.example.com"
                            • "develop"

                          Experience Domain Post​

                          Schema for the body of an Experience Domain creation request

                          Experience Domain Post Schema​

                          • ▶
                            {} 5 keys
                            • "http://json-schema.org/draft-07/schema#"
                            • "object"
                            • ▶
                              {} 5 keys
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 1 key
                                      • false
                                      • ▶
                                        [] 1 item

                                      Experience Domain Post Example​

                                      • ▶
                                        {} 4 keys
                                        • "my.domain.example.com"
                                        • "-----BEGIN CERTIFICATE----- MY_SSL_CERTIFICATE -----END CERTIFICATE-----"
                                        • "-----BEGIN PRIVATE KEY----- MY_SSL_KEY -----END PRIVATE KEY-----"
                                        • "develop"

                                      Experience Domains​

                                      Schema for a collection of Experience Domains

                                      Experience Domains Schema​

                                      • ▶
                                        {} 3 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 8 keys
                                          • ▶
                                            {} 2 keys
                                            • ▶
                                              {} 1 key
                                              • ▶
                                                {} 1 key
                                                • ▶
                                                  {} 1 key
                                                  • ▶
                                                    {} 1 key
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 2 keys

                                                      Experience Domains Example​

                                                      • ▶
                                                        {} 4 keys
                                                        • ▶
                                                          [] 1 item
                                                          • 1
                                                          • 1
                                                          • "575ec8687ae143cd83dc4a97"

                                                        Was this page helpful?


                                                        Still looking for help? You can also search the Losant Forums or submit your question there.